package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuMessageCardFactory
{
    private FeishuMessageCardFactory()
    {
    }
    public static IFeishuMessageCard getRemoteInstance() throws BOSException
    {
        return (IFeishuMessageCard)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("D772710E") , IFeishuMessageCard.class);
    }
    
    public static IFeishuMessageCard getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuMessageCard)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("D772710E") , IFeishuMessageCard.class, objectCtx);
    }
    public static IFeishuMessageCard getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuMessageCard)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("D772710E"));
    }
    public static IFeishuMessageCard getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuMessageCard)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("D772710E"));
    }
}